head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	cjep_sun2x:1.2.0.44
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.42
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	pgoyette-compat:1.2.0.40
	pgoyette-compat-base:1.2
	perseant-stdc-iso10646:1.2.0.38
	perseant-stdc-iso10646-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.36
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	bouyer-socketcan:1.2.0.34
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	pgoyette-localcount-20161104:1.2
	localcount-20160914:1.2
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.32
	pgoyette-localcount-base:1.2
	netbsd-5-2-3-RELEASE:1.2
	netbsd-5-1-5-RELEASE:1.2
	yamt-pagecache-base9:1.2
	yamt-pagecache-tag8:1.2
	tls-earlyentropy:1.2.0.28
	tls-earlyentropy-base:1.2
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.2
	riastradh-drm2-base3:1.2
	netbsd-5-2-2-RELEASE:1.2
	netbsd-5-1-4-RELEASE:1.2
	netbsd-5-2-1-RELEASE:1.2
	netbsd-5-1-3-RELEASE:1.2
	agc-symver:1.2.0.30
	agc-symver-base:1.2
	tls-maxphys-base:1.2
	yamt-pagecache-base8:1.2
	netbsd-5-2:1.2.0.26
	yamt-pagecache-base7:1.2
	netbsd-5-2-RELEASE:1.2
	netbsd-5-2-RC1:1.2
	yamt-pagecache-base6:1.2
	yamt-pagecache-base5:1.2
	yamt-pagecache-base4:1.2
	netbsd-5-1-2-RELEASE:1.2
	netbsd-5-1-1-RELEASE:1.2
	yamt-pagecache-base3:1.2
	yamt-pagecache-base2:1.2
	yamt-pagecache:1.2.0.24
	yamt-pagecache-base:1.2
	bouyer-quota2-nbase:1.2
	bouyer-quota2:1.2.0.22
	bouyer-quota2-base:1.2
	matt-nb5-pq3:1.2.0.20
	matt-nb5-pq3-base:1.2
	netbsd-5-1:1.2.0.18
	netbsd-5-1-RELEASE:1.2
	netbsd-5-1-RC4:1.2
	netbsd-5-1-RC3:1.2
	netbsd-5-1-RC2:1.2
	netbsd-5-1-RC1:1.2
	netbsd-5-0-2-RELEASE:1.2
	netbsd-5-0-1-RELEASE:1.2
	jym-xensuspend-nbase:1.2
	netbsd-5-0:1.2.0.16
	netbsd-5-0-RELEASE:1.2
	netbsd-5-0-RC4:1.2
	netbsd-5-0-RC3:1.2
	netbsd-5-0-RC2:1.2
	jym-xensuspend:1.2.0.14
	jym-xensuspend-base:1.2
	netbsd-5-0-RC1:1.2
	netbsd-5:1.2.0.12
	netbsd-5-base:1.2
	mjf-devfs2:1.2.0.10
	mjf-devfs2-base:1.2
	yamt-pf42-base4:1.2
	yamt-pf42-base3:1.2
	hpcarm-cleanup-nbase:1.2
	yamt-pf42-base2:1.2
	yamt-pf42:1.2.0.8
	yamt-pf42-base:1.2
	keiichi-mipv6:1.2.0.6
	keiichi-mipv6-base:1.2
	cube-autoconf:1.2.0.4
	cube-autoconf-base:1.2
	hpcarm-cleanup:1.2.0.2
	hpcarm-cleanup-base:1.2
	netbsd-1-6-PATCH002-RELEASE:1.1.1.1
	netbsd-1-6-PATCH002:1.1.1.1
	netbsd-1-6-PATCH002-RC4:1.1.1.1
	netbsd-1-6-PATCH002-RC3:1.1.1.1
	netbsd-1-6-PATCH002-RC2:1.1.1.1
	netbsd-1-6-PATCH002-RC1:1.1.1.1
	netbsd-1-6-PATCH001:1.1.1.1
	netbsd-1-6-PATCH001-RELEASE:1.1.1.1
	netbsd-1-6-PATCH001-RC3:1.1.1.1
	netbsd-1-6-PATCH001-RC2:1.1.1.1
	netbsd-1-6-PATCH001-RC1:1.1.1.1
	netbsd-1-6-RELEASE:1.1.1.1
	netbsd-1-6-RC3:1.1.1.1
	netbsd-1-6-RC2:1.1.1.1
	netbsd-1-6-RC1:1.1.1.1
	netbsd-1-6:1.1.1.1.0.10
	netbsd-1-6-base:1.1.1.1
	netbsd-1-5-PATCH003:1.1.1.1
	netbsd-1-5-PATCH002:1.1.1.1
	netbsd-1-5-PATCH001:1.1.1.1
	netbsd-1-5-RELEASE:1.1.1.1
	netbsd-1-5-BETA2:1.1.1.1
	netbsd-1-5-BETA:1.1.1.1
	netbsd-1-4-PATCH003:1.1.1.1
	netbsd-1-5-ALPHA2:1.1.1.1
	netbsd-1-5:1.1.1.1.0.8
	netbsd-1-5-base:1.1.1.1
	netbsd-1-4-PATCH002:1.1.1.1
	wrstuden-devbsize-19991221:1.1.1.1
	wrstuden-devbsize:1.1.1.1.0.6
	wrstuden-devbsize-base:1.1.1.1
	comdex-fall-1999:1.1.1.1.0.4
	comdex-fall-1999-base:1.1.1.1
	netbsd-1-4-PATCH001:1.1.1.1
	netbsd-1-4-RELEASE:1.1.1.1
	egcs-1-1-2:1.1.1.1
	netbsd-1-4:1.1.1.1.0.2
	netbsd-1-4-base:1.1.1.1
	egcs-1-1-1:1.1.1.1
	egcs-1-1-1-prerelease-2:1.1.1.1
	egcs-1-1-19981014:1.1.1.1
	egcs-1-1b:1.1.1.1
	egcs-1-1-19980824:1.1.1.1
	egcs-1-1-19980816:1.1.1.1
	egcs-1-0-2:1.1.1.1
	CYGNUS:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2002.09.16.16.43.00;	author thorpej;	state dead;
branches;
next	1.1;

1.1
date	98.03.29.08.14.36;	author mrg;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	98.03.29.08.14.36;	author mrg;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Remove the old egcs compiler.
@
text
@#!/bin/sh
#
# NAME:
#	fixcpp - fix CPP errors
#
# SYNOPSIS:
#	fixcpp [-c][-p patch_file][-b bak_dir][-n new_dir] files(s)
#
# DESCRIPTION:
#	For each named file, use sed(1) to fixup any descriptive
#	text after #else or #endif or that is not properly
#	commented as this causes ANSI compilers to generate
#	unnecessary warnings.
#
#	Naturally this script is not guaranteed to be bullet
#	proof, use of -n or -b is advisable!
#
#	-c causes fixcpp to make sure that only files that
#	needed changing are affected by returning the original
#	file to its original location if no changes were needed.
#
#	-p causes fixcpp to append to a patch file the context
#	diffs of the changes wrought.
#
# SEE ALSO:
#	sed(1)
#
# AMENDED:
#	90/08/08 22:46:32 (sjg)
#
# RELEASED:
#	90/08/08 22:46:34 v1.4
#
# SCCSID:
#	@@(#)fixcpp.sh 1.4 90/08/08 22:46:32 (sjg)
#
#	@@(#)Copyright (c) 1990 Simon J. Gerraty
#
#       This is free software.  It comes with NO WARRANTY.
#       Everyone is granted permission to copy, modify and
#       redistribute this source code provided that all
#       recipients are given similar rights, and that the above
#       copyright notice and this notice are preserved in all
#       copies. 

TMPF=/tmp/fixcpp.$$
NEWDIR=
BAKDIR=
PATCHF=
CHECK=

set -- `getopt "cp:b:n:" $*`
if [ $? != 0 ]; then
	echo "$0 [-c][-p patch_file][-b bakup_dir][-n new_dir] file [file ...]" >&2
	exit 1
fi
for i in $*
do
	case $i in
	-c)	CHECK=yes; shift;;
	-p)	PATCHF=$2; shift 2;;
	-b)	BAKDIR=$2; shift 2;;
	-n)	NEWDIR=$2; shift 2;;
	--)	shift; break;;
	esac
done
NEWDIR=${NEWDIR:-.}
if [ $BAKDIR ]; then
	if [ ! -d $BAKDIR ]; then
		echo "$0: no such directory -- $BAKDIR" >&2
		exit 1
	fi
fi



for i in $*
do
	if [ $BAKDIR ]; then
		mv $i $BAKDIR
		infile=$BAKDIR/$i
	else
		if [ "$NEWDIR" = "." ]; then
			mv $i ${TMPF}
			infile=${TMPF}
		else
			infile=$i
		fi
	fi	
	sed -e 's;^#\([ 	]*e[nl][^ 	]*[ 	][ 	]*\)\([^/ 	][^\*].*\);#\1/* \2 */;' -e 's;^#\([ 	]*e[nl][^ 	]*[ 	][ 	]*\)\([^/ 	]\)$;#\1/* \2 */;' $infile >${NEWDIR}/$i
	if [ "${CHECK}" = "yes" -o ${PATCHF} ]; then
		if cmp -s $infile ${NEWDIR}/$i ; then
			if [ "${CHECK}" = "yes" ]; then
				if [ $BAKDIR ]; then
					mv $infile ${NEWDIR}/$i
				else
					rm ${NEWDIR}/$i
				fi
			fi
		else
			if [ $PATCHF ]; then
				diff -c $infile ${NEWDIR}/$i >> ${PATCHF}
			fi
		fi
	fi

done

rm -f ${TMPF}
@


1.1
log
@Initial revision
@
text
@@


1.1.1.1
log
@initial import of the egcs 1.0.2 compiler
@
text
@@
